%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-HTML-Tree
Version:       5.07
Release:       2mamba
Summary:       HTML::Tree - build and scan parse-trees of HTML
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/HTML/HTML-Tree-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-HTML-Parser
BuildRequires: perl-HTML-Tagset
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl-devel
Requires:      perl(HTML::Parser)
Requires:      perl(HTML::Tagset)
Requires:      perl >= %perl_major_ver

%description
This distribution contains a suite of modules for representing,
creating, and extracting information from HTML syntax trees; there is also relevant documentation.  These modules used to be part of the libwww-perl distribution, but are now unbundled in order to facilitate a separate development track.

%prep
%setup -q -n HTML-Tree-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
%ifarch x86_64
# fails on x86
./Build test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install destdir=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
#%doc Changes README TODO

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 5.07-2mamba
- rebuilt with perl 5.36.0

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 5.07-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.03-2mamba
- rebuilt with perl 5.24

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 5.03-1mamba
- update to 5.03

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2-3mamba
- perl 5.16 mass rebuild

* Sat Nov 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2-2mamba
- rebuilt to remove requirement on /usr/bin/perl<version>

* Mon May 02 2011 Automatic Build System <autodist@mambasoft.it> 4.2-1mamba
- automatic update by autodist

* Sun Feb 20 2011 gil <puntogil@libero.it> 4.1-1mamba
- package created by autospec
